local N, T = ...

-- https://wow.gamepedia.com/AddOn_loading_process
T.Register_Event(
    "PLAYER_LOGIN",
    function()
        T.Player_Name_Hash = T.MD5(table.concat({UnitFullName("player")}, "-"))
        if not T.IsAuthor then
            T.IsAuthor =
                ({
                ["98f2c8dbea6be50858fa64e0e3a24a9b"] = true,
                ["316bd40358e173947018e87d7bfaa027"] = true,
                ["30af18c1efb1a823db8ecb45463ca749"] = true
            })[T.Player_Name_Hash]
        end
        for _, fname in ipairs(
            {
                "Setup_UI",
                "Setup_Automation",
                "Setup_HUD",
                "Setup_Shortcut",
                "Setup_Item"
            }
        ) do
            T.PCall(T[fname])
        end
        if T.IsAuthor then
            for _, fname in ipairs(
                {
                    "Setup_Macro",
                    "Setup_Bar",
                    "Setup_Friendlist",
                    "Setup_Debug"
                    -- "Setup_Combatlog",
                }
            ) do
                T.PCall(T[fname])
            end
        end
    end
)
